Bug 93625 - FILESAVE: DOC: inline drawing lost after roundtrip
Summary: FILESAVE: DOC: inline drawing lost after roundtrip
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Shapes
  Show dependency treegraph
 
Reported: 2015-08-24 14:28 UTC by Xisco Faulí
Modified: 2021-10-07 03:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
before and after (91.66 KB, image/jpeg)
2015-08-24 14:28 UTC, Xisco Faulí
Details
how it looks in Libo 5.2 alpha0 (17.88 KB, image/jpeg)
2016-01-25 13:36 UTC, Xisco Faulí
Details
How it looks in LibreOffice 6.4 master (8.21 KB, image/png)
2019-10-07 07:49 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2015-08-24 14:28:43 UTC
Created attachment 118123 [details]
before and after

Steps:
1. Open attachment 100289 [details]
2. Save it as DOC
3. Open the new file.

Observed behavior: inline drawing is lost. Outer table's lost is already described in bug 93621

Issue reproduced with

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 1 steve 2015-08-27 18:26:57 UTC
OSX 10.10.5
LO ersion: 5.1.0.0.alpha1+
Build ID: c9df840d207c8d965b2df993e0a90be89f52c254
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2015-08-27_02:25:46
Locale: de-DE (de.UTF-8)

trying to reproduce.
both original docx and saved as doc look identical in LO (they also look different from either of the screenshots).

When looking at both files in Word I do see identical behavior than in your screenshot so confirming → NEW.
Comment 2 Xisco Faulí 2015-09-02 13:57:16 UTC
This issue is present in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 3 Xisco Faulí 2016-01-25 13:36:57 UTC
Created attachment 122202 [details]
how it looks in Libo 5.2 alpha0

How it looks with

Version: 5.2.0.0.alpha0+ (x64)
Build ID: acd3ebefccd0b4570100c426574d83cfa9464f20
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-01-21_23:33:01
Locale: es-ES (es_ES)
Comment 4 QA Administrators 2018-10-06 02:49:17 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-10-06 07:34:33 UTC
in 

Version: 6.2.0.0.alpha0+
Build ID: 1aa37aa6bee19099b57555a6d839992b054aa405
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-23_10:17:54
Locale: ru-RU (ru_RU); Calc: threaded

opened DOC looks fine, as source DOCX.

But in MS Word 2007 file dontn't have text in shape =(

@Xisco, WFM?
Comment 6 QA Administrators 2019-10-07 03:04:01 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2019-10-07 07:49:30 UTC
it looks much better in

Version: 6.4.0.0.alpha0+
Build ID: 52cda5c5ae426761ccbdb4f20419098eab195303
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2019-10-07 07:49:50 UTC
Created attachment 154790 [details]
How it looks in LibreOffice 6.4 master
Comment 9 QA Administrators 2021-10-07 03:54:08 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug